# Nemo modelfactors

Script used to get important metrics from NEMO

# Installation and requeriments

This script requires Python 3 and relies on
*Extrae*,*Paraver* and *Dimemas* being installed and available
through the PATH environment variable.

* *Extrae* available at https://ftp.tools.bsc.es/extrae/ !!! Install 3.7.1 version !!!
* *Paraver* available at https://tools.bsc.es/paraver
* *Dimemas* available at https://tools.bsc.es/dimemas

If not already done, install both tools and add them to the PATH environment
variable with:

```
export PATH=<extrae-install-dir>/bin:$PATH
export EXTRAE_HOME=<extrae-install-dir>
export PATH=<paraver-install-dir>/bin:$PATH
export PARAVER_HOME=<paraver-install-dir>
export PATH=<dimemas-install-dir>/bin:$PATH
export DIMEMAS_HOME=<dimemas-install-dir>

```
Also the different modules needed to compile and execute NEMO should be loaded before the script execution.

* Perl interpreter
* Fortran compiler (ifort, gfortran, pgfortran, ftn, …),
* Message Passing Interface (MPI) implementation (e.g. OpenMPI or MPICH).
* Network Common Data Form (NetCDF) library with its underlying Hierarchical Data Form (HDF)

Additionally, plotting relies on the according SciPy(>= 0.17.0),
NumPy, pandas, searborn and matplotlib (>= 3.x) modules for Python 3.
Furthermore, the gnuplot output requires gnuplot version 5.0 or higher.

# Usage

* Copy all the content of this folder into the folder used to run NEMO, the one that contains the data the namelists and the executable.
* Edit the file config.yaml adding the information required.
* Execute script.sh 

```
./script.sh
```
